TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get nominator pool

GET
/api/v3/staking/nominatorPools/pool

Return details about the specified nominator pool.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

pool*string

Pool address in any form.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v3/staking/nominatorPools/pool?pool=string"
{
  "active_nominators": [
    {
      "address": "string",
      "balance": "string",
      "pending_balance": "string"
    }
  ],
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "max_nominators_count": 0,
  "min_nominator_stake": "string",
  "min_validator_stake": "string",
  "nominators_count": 0,
  "stake_amount_sent": "string",
  "state": 0,
  "validator_address": "string",
  "validator_amount": "string",
  "validator_reward_share": 0
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}